Bug 50933 - RPM operations hanging
RPM operations hanging
Status: CLOSED WORKSFORME
Product: Red Hat Public Beta
Classification: Retired
Component: rpm (Show other bugs)
roswell
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-04 23:47 EDT by Peter Bowen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-04 23:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bowen 2001-08-04 23:47:30 EDT
Description of Problem:
After upgrading from RedHat 6.2+RPM 3.0.5+Ximian RC (yes I know it has
problems) to Roswell, `rpm -qa` hangs after listing ORBit-devel.  It also
hangs during other operations which try to list the entire database, such
as rhn_register

How Reproducible:
Always when using database available at
http://www.scyld.com/~pzb/rpmdb-roswell.tar.bz2

The original database is available at
http://www.scyld.com/~pzb/rpmdatabase.tar.bz2 is a recent snapshot of the
old database, but it was not the exact version that was upgraded.

Steps to Reproduce:
1. Use the rpmdb-roswell.tar.bz2 as the RPM database
2. run rpm -qa
3. watch it hang

Actual Results:
It hangs

Expected Results:
It completes and rpm exits

Additional Information:
Comment 1 Jeff Johnson 2001-08-05 14:29:08 EDT
Hmm, you're using rpm-4.0.3, that's good.

You should be OK if you do
	rm -f /var/lib/rpm/__db*

Note You need to log in before you can comment on or make changes to this bug.